/*******************************************************************************
* File Name: PinEncSw.h  
* Version 2.10
*
* Description:
*  This file contains the Alias definitions for Per-Pin APIs in cypins.h. 
*  Information on using these APIs can be found in the System Reference Guide.
*
* Note:
*
********************************************************************************
* Copyright 2008-2014, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_PinEncSw_ALIASES_H) /* Pins PinEncSw_ALIASES_H */
#define CY_PINS_PinEncSw_ALIASES_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"


/***************************************
*              Constants        
***************************************/
#define PinEncSw_0		(PinEncSw__0__PC)
#define PinEncSw_0_PS		(PinEncSw__0__PS)
#define PinEncSw_0_PC		(PinEncSw__0__PC)
#define PinEncSw_0_DR		(PinEncSw__0__DR)
#define PinEncSw_0_SHIFT	(PinEncSw__0__SHIFT)


#endif /* End Pins PinEncSw_ALIASES_H */


/* [] END OF FILE */
