/*******************************************************************************
* File Name: isrENCB_rising.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isrENCB_rising_H)
#define CY_ISR_isrENCB_rising_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isrENCB_rising_Start(void);
void isrENCB_rising_StartEx(cyisraddress address);
void isrENCB_rising_Stop(void);

CY_ISR_PROTO(isrENCB_rising_Interrupt);

void isrENCB_rising_SetVector(cyisraddress address);
cyisraddress isrENCB_rising_GetVector(void);

void isrENCB_rising_SetPriority(uint8 priority);
uint8 isrENCB_rising_GetPriority(void);

void isrENCB_rising_Enable(void);
uint8 isrENCB_rising_GetState(void);
void isrENCB_rising_Disable(void);

void isrENCB_rising_SetPending(void);
void isrENCB_rising_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isrENCB_rising ISR. */
#define isrENCB_rising_INTC_VECTOR            ((reg32 *) isrENCB_rising__INTC_VECT)

/* Address of the isrENCB_rising ISR priority. */
#define isrENCB_rising_INTC_PRIOR             ((reg32 *) isrENCB_rising__INTC_PRIOR_REG)

/* Priority of the isrENCB_rising interrupt. */
#define isrENCB_rising_INTC_PRIOR_NUMBER      isrENCB_rising__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isrENCB_rising interrupt. */
#define isrENCB_rising_INTC_SET_EN            ((reg32 *) isrENCB_rising__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isrENCB_rising interrupt. */
#define isrENCB_rising_INTC_CLR_EN            ((reg32 *) isrENCB_rising__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isrENCB_rising interrupt state to pending. */
#define isrENCB_rising_INTC_SET_PD            ((reg32 *) isrENCB_rising__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isrENCB_rising interrupt. */
#define isrENCB_rising_INTC_CLR_PD            ((reg32 *) isrENCB_rising__INTC_CLR_PD_REG)



#endif /* CY_ISR_isrENCB_rising_H */


/* [] END OF FILE */
